org.apache.ignite.internal.visor.node

## Class VisorDataStorageConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorDataStorageConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorDataStorageConfiguration
    extends VisorDataTransferObject

Data transfer object for data store configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorDataStorageConfiguration()` Default constructor.
`VisorDataStorageConfiguration(DataStorageConfiguration cfg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCheckpointFrequency()`
`int` `getCheckpointThreads()`
`CheckpointWriteOrder` `getCheckpointWriteOrder()`
`int` `getConcurrencyLevel()`
`List<VisorDataRegionConfiguration>` `getDataRegionConfigurations()`
`VisorDataRegionConfiguration` `getDefaultDataRegionConfiguration()`
`String` `getFileIOFactory()`
`long` `getLockWaitTime()`
`long` `getMetricsRateTimeInterval()`
`int` `getMetricsSubIntervalCount()`
`int` `getPageSize()`
`byte` `getProtocolVersion()`
`String` `getStoragePath()`
`long` `getSystemRegionInitialSize()`
`long` `getSystemRegionMaxSize()`
`String` `getWalArchivePath()`
`long` `getWalAutoArchiveAfterInactivity()`
`int` `getWalBufferSize()`
`long` `getWalFlushFrequency()`
`long` `getWalFsyncDelayNanos()`
`int` `getWalHistorySize()`
`WALMode` `getWalMode()`
`String` `getWalPath()`
`int` `getWalRecordIteratorBufferSize()`
`int` `getWalSegments()`
`int` `getWalSegmentSize()`
`int` `getWalThreadLocalBufferSize()`
`boolean` `isAlwaysWriteFullPages()`
`boolean` `isMetricsEnabled()`
`boolean` `isWalCompactionEnabled()`
`boolean` `isWriteThrottlingEnabled()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorDataStorageConfiguration

    public VisorDataStorageConfiguration()

Default constructor.

#### VisorDataStorageConfiguration

    public VisorDataStorageConfiguration(DataStorageConfiguration cfg)

Constructor.

Parameters:
  `cfg` - Data storage configuration.

### Method Detail

#### getSystemRegionInitialSize

    public long getSystemRegionInitialSize()

Returns:
  Initial size in bytes.

#### getSystemRegionMaxSize

    public long getSystemRegionMaxSize()

Returns:
  Maximum in bytes.

#### getPageSize

    public int getPageSize()

Returns:
  Page size in bytes.

#### getConcurrencyLevel

    public int getConcurrencyLevel()

Returns:
  Mapping table concurrency level.

#### getDefaultDataRegionConfiguration

    public VisorDataRegionConfiguration getDefaultDataRegionConfiguration()

Returns:
  Configuration of default data region.

#### getDataRegionConfigurations

    public List<VisorDataRegionConfiguration> getDataRegionConfigurations()

Returns:
  Array of configured data regions.

#### getStoragePath

    public String getStoragePath()

Returns:
  Path the root directory where the Persistent Store will persist data and indexes.

#### getCheckpointFrequency

    public long getCheckpointFrequency()

Returns:
  Checkpointing frequency in milliseconds.

#### getCheckpointThreads

    public int getCheckpointThreads()

Returns:
  Number of checkpointing threads.

#### getCheckpointWriteOrder

    public CheckpointWriteOrder getCheckpointWriteOrder()

Returns:
  Checkpoint write order.

#### getLockWaitTime

    public long getLockWaitTime()

Returns:
  Time for wait.

#### getWalHistorySize

    public int getWalHistorySize()

Returns:
  Number of WAL segments to keep after a checkpoint is finished.

#### getWalSegments

    public int getWalSegments()

Returns:
  Number of work WAL segments.

#### getWalSegmentSize

    public int getWalSegmentSize()

Returns:
  WAL segment size.

#### getWalPath

    public String getWalPath()

Returns:
  WAL persistence path, absolute or relative to Ignite work directory.

#### getWalArchivePath

    public String getWalArchivePath()

Returns:
  WAL archive directory.

#### isMetricsEnabled

    public boolean isMetricsEnabled()

Returns:
  Metrics enabled flag.

#### getMetricsRateTimeInterval

    public long getMetricsRateTimeInterval()

Returns:
  Time interval in milliseconds.

#### getMetricsSubIntervalCount

    public int getMetricsSubIntervalCount()

Returns:
  The number of sub-intervals for history tracking.

#### getWalMode

    public WALMode getWalMode()

Returns:
  WAL mode.

#### getWalThreadLocalBufferSize

    public int getWalThreadLocalBufferSize()

Returns:
  Thread local buffer size.

#### getWalFlushFrequency

    public long getWalFlushFrequency()

Returns:
  Flush frequency.

#### getWalFsyncDelayNanos

    public long getWalFsyncDelayNanos()

Returns:
  Gets the fsync delay, in nanoseconds.

#### getWalRecordIteratorBufferSize

    public int getWalRecordIteratorBufferSize()

Returns:
  Record iterator buffer size.

#### isAlwaysWriteFullPages

    public boolean isAlwaysWriteFullPages()

Returns:
  Flag indicating whether full pages should be always written.

#### getFileIOFactory

    public String getFileIOFactory()

Returns:
  File I/O factory class name.

#### getWalAutoArchiveAfterInactivity

    public long getWalAutoArchiveAfterInactivity()

Returns:
  Time in millis.

#### isWriteThrottlingEnabled

    public boolean isWriteThrottlingEnabled()

Returns:
  Flag indicating whether write throttling is enabled.

#### getWalBufferSize

    public int getWalBufferSize()

Returns:
  Size of WAL buffer.

#### isWalCompactionEnabled

    public boolean isWalCompactionEnabled()

Returns:
  If true, system filters and compresses WAL archive in background

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019